टूल: get_user_profile
अपनी प्रोफ़ाइल की जानकारी (नाम और ईमेल) पाना.
यहां दिए गए सैंपल में, curl का इस्तेमाल करके get_user_profile एमसीपी टूल को चालू करने का तरीका बताया गया है.
| Curl अनुरोध |
|---|
curl --location 'https://people.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_user_profile", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
इनपुट स्कीमा
GetUserProfile के लिए अनुरोध वाला मैसेज.
आउटपुट स्कीमा
GetUserProfile के लिए जवाब का मैसेज.
GetUserProfileResponse
| JSON के काेड में दिखाना |
|---|
{ "name": string, "emailAddress": string } |
| फ़ील्ड | |
|---|---|
name |
उपयोगकर्ता का डिसप्ले नेम. |
emailAddress |
उपयोगकर्ता के खाते का ईमेल पता. |
टूल एनोटेशन
बदलाव करने से जुड़ी जानकारी: ❌ | एक ही बार लागू होने से जुड़ी जानकारी: ✅ | सिर्फ़ पढ़ने से जुड़ी जानकारी: ✅ | ओपन वर्ल्ड से जुड़ी जानकारी: ❌